# LightWalletGRPCService

    public class LightWalletGRPCService

    extension LightWalletGRPCService: LightWalletService

Undocumented

- `init(endpoint:)`

  Undocumented

  #### Declaration

  Swift

      public convenience init(endpoint: LightWalletEndpoint)

- `init(host:port:secure:singleCallTimeout:streamingCallTimeout:)`

  Undocumented

  #### Declaration

  Swift

      public init(host: String, port: Int = 9067, secure: Bool = true, singleCallTimeout: Int64 = 10000, streamingCallTimeout: Int64 = 10000)

- `blockStream(startHeight:endHeight:result:handler:progress:)`

  Undocumented

  #### Declaration

  Swift

      @discardableResult
      public func blockStream(
          startHeight: BlockHeight,
          endHeight: BlockHeight,
          result: @escaping (Result<GRPCResult, LightWalletServiceError>) -> Void,
          handler: @escaping (ZcashCompactBlock) -> Void,
          progress: @escaping  (BlockProgress) -> Void
      ) -> CancellableCall

- `getInfo()`

  #### Declaration

  Swift

      public func getInfo() throws -> LightWalletdInfo

- `getInfo(result:)`

  #### Declaration

  Swift

      public func getInfo(result: @escaping (Result<LightWalletdInfo, LightWalletServiceError>) -> Void)

- `closeConnection()`

  Undocumented

  #### Declaration

  Swift

      public func closeConnection()

- `fetchTransaction(txId:)`

  #### Declaration

  Swift

      public func fetchTransaction(txId: Data) throws -> TransactionEntity

- `fetchTransaction(txId:result:)`

  #### Declaration

  Swift

      public func fetchTransaction(txId: Data, result: @escaping (Result<TransactionEntity, LightWalletServiceError>) -> Void)

- `submit(spendTransaction:result:)`

  #### Declaration

  Swift

      public func submit(spendTransaction: Data, result: @escaping (Result<LightWalletServiceResponse, LightWalletServiceError>) -> Void)

- `submit(spendTransaction:)`

  #### Declaration

  Swift

      public func submit(spendTransaction: Data) throws -> LightWalletServiceResponse

- `blockRange(_:)`

  #### Declaration

  Swift

      public func blockRange(_ range: CompactBlockRange) throws -> [ZcashCompactBlock]

- `latestBlockHeight(result:)`

  #### Declaration

  Swift

      public func latestBlockHeight(result: @escaping (Result<BlockHeight, LightWalletServiceError>) -> Void)

- `blockRange(_:result:)`

  #### Declaration

  Swift

      public func blockRange(_ range: CompactBlockRange, result: @escaping (Result<[ZcashCompactBlock], LightWalletServiceError>) -> Void)

- `latestBlockHeight()`

  #### Declaration

  Swift

      public func latestBlockHeight() throws -> BlockHeight

- `fetchUTXOs(for:height:)`

  Undocumented

  #### Declaration

  Swift

      public func fetchUTXOs(for tAddress: String, height: BlockHeight) throws -> [UnspentTransactionOutputEntity]

- `fetchUTXOs(for:height:result:)`

  Undocumented

  #### Declaration

  Swift

      public func fetchUTXOs(for tAddress: String, height: BlockHeight, result: @escaping (Result<[UnspentTransactionOutputEntity], LightWalletServiceError>) -> Void)

- `fetchUTXOs(for:height:)`

  Undocumented

  #### Declaration

  Swift

      public func fetchUTXOs(for tAddresses: [String], height: BlockHeight) throws -> [UnspentTransactionOutputEntity]

- `fetchUTXOs(for:height:result:)`

  Undocumented

  #### Declaration

  Swift

      public func fetchUTXOs(
          for tAddresses: [String],
          height: BlockHeight,
          result: @escaping (Result<[UnspentTransactionOutputEntity], LightWalletServiceError>) -> Void
      )

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.